/ lang / isdir
IsDir
Syntax

    bResult = IsDir ( sPath AS String ) AS Boolean
    bResult = Dir? ( sPath AS String ) AS Boolean

Returns TRUE if the String argument sPath points to a directory.

If the file with the name sPath does not exist, or if the file which is not a directory, then this function returns FALSE.

### Examples

    PRINT IsDir("/etc/password"),  IsDir("."),  IsDir(".."),  IsDir("../.."), IsDir("/dev/hda")
    <hr>False   False   False   False   False

    PRINT IsDir(User.Home &/ ".kde"), IsDir("/etc/X11"), IsDir("/etc"), IsDir("/"), IsDir("/dev")
    <hr>True    True    True    True    True

### See also

File & Directory Functions